Skip to main content

UnsuspendTotemApproval

Reactivates a suspended totem approval.

Endpoint: POST /nxt?requestType=UnsuspendTotemApproval

Parameters:

  • totem (long, required): Totem ID
  • expirationHeight (int, required): New expiration block height
  • secretPhrase (string, required)
  • feeMTA (long, optional)
  • deadline (int, optional, default: 1440)
  • broadcast (boolean, optional, default: true)

Request Example: /nxt?requestType=UnsuspendTotemApproval&totem=123456789&expirationHeight=200000&secretPhrase=mySecret

Response:

{
"type": 2,
"subtype": 6,
"chain": 1,
"phased": false,
"timestamp": 123456789,
"senderPublicKey": "abc123...",
"sender": "111111111",
"recipient": "999999999",
"feeMTA": "1000000",
"amountMTA": "0",
"signature": "def456...",
"fullHash": "jkl012...",
"transaction": "1234567890",
"attachment": {
"version.TotemApprovalProcess": 1,
"approvalRequestId": "0",
"status": "APPROVED",
"expirationHeight": 200000,
"totem": "123456789"
}
}

Response Fields:

  • type: number (2), subtype: number (6) - TOTEM_APPROVAL_UNSUSPEND
  • recipient: string - Totem issuer account
  • attachment: TotemApprovalProcessAttachment
  • attachment.status: "APPROVED"
  • attachment.expirationHeight: number - New expiration height

Tags: AE, CREATE_TRANSACTION Notes: Requires full client. Sets status to APPROVED with specified expirationHeight.